librest-dev_0.8.1-1+b1_i386.deb


Advertisement

Description

librest-dev - REST service access library (development headers)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename librest-dev_0.8.1-1+b1_i386.deb
Package name librest-dev
Package version 0.8.1
Package release 1+b1
Package architecture i386
Package type deb
Category devel::lang:c devel::library implemented-in::c libdevel role::devel-lib
Homepage https://wiki.gnome.org/Projects/Librest
License -
Maintainer Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Download size 30.66 KB
Installed size 242.00 KB

Alternatives

Package Version Architecture Repository
librest-dev_0.8.1-1+b1_amd64.deb 0.8.1 amd64 Debian Main
librest-dev - - -

Requires

Name Value
gir1.2-rest-0.7 = 0.8.1-1+b1
librest-0.7-0 = 0.8.1-1+b1
libsoup2.4-dev -
libxml2-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package librest-dev_0.8.1-1+b1_i386.deb
Source Package librest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librest-dev deb package:
    # sudo apt-get install librest-dev

Files

Path
/usr/include/rest-0.7/rest/oauth-proxy-call.h
/usr/include/rest-0.7/rest/oauth-proxy.h
/usr/include/rest-0.7/rest/oauth2-proxy-call.h
/usr/include/rest-0.7/rest/oauth2-proxy.h
/usr/include/rest-0.7/rest/rest-enum-types.h
/usr/include/rest-0.7/rest/rest-param.h
/usr/include/rest-0.7/rest/rest-params.h
/usr/include/rest-0.7/rest/rest-proxy-auth.h
/usr/include/rest-0.7/rest/rest-proxy-call.h
/usr/include/rest-0.7/rest/rest-proxy.h
/usr/include/rest-0.7/rest/rest-xml-node.h
/usr/include/rest-0.7/rest/rest-xml-parser.h
/usr/lib/i386-linux-gnu/librest-0.7.so
/usr/lib/i386-linux-gnu/pkgconfig/rest-0.7.pc
/usr/share/doc/librest-dev/changelog.Debian.gz
/usr/share/doc/librest-dev/changelog.Debian.i386.gz
/usr/share/doc/librest-dev/copyright
/usr/share/doc/librest-dev/examples/continuous-twitter.c
/usr/share/doc/librest-dev/examples/dump-xml.c
/usr/share/doc/librest-dev/examples/get-fireeagle-location.c
/usr/share/doc/librest-dev/examples/get-flickr-favorites.c.gz
/usr/share/doc/librest-dev/examples/lastfm-shout.c.gz
/usr/share/doc/librest-dev/examples/post-twitter-media.c
/usr/share/doc/librest-dev/examples/post-twitter.c
/usr/share/doc/librest-dev/examples/test-raw.c
/usr/share/doc/librest-dev/examples/test-xml.c.gz
/usr/share/gir-1.0/Rest-0.7.gir

Changelog

2018-10-11 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.8.1-1) unstable; urgency=low
* New upstream release (Closes: #907177)
- Update debian/copyright for latest source
* Rename gir1.2-rest-extras-0.7 to gir1.2-restextras-0.7
* Bump debhelper version to 10
- Remove -dbg package. Use -dbgsym instead.
* Bump Standards-Version to 4.2.1: nothing needs to be changed
* debian/control: Update Homepage field.
* debian/watch: Watching gitlab.gnome.org
2016-10-24 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.8.0-2) unstable; urgency=low
* debian/control: Add ca-certificates to Build-Depends. (Closes: #837849)
2016-05-13 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.8.0-1) unstable; urgency=low
* New upstream release (Closes: #824150)
* Bump Standards-Version to 3.9.8: nothing needs to be changed
* Drop 02_thread-tests-sleep-for-server-to-start.patch. Upstream fixes this.
2015-05-03 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.93-1) unstable; urgency=low
* New upstream release
* Remove debian/patches/03_fix_invalid_pointer_reference.patch:
- Already in upstream.
2015-03-09 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-3) unstable; urgency=medium
* Add debian/patches/03_fix_invalid_pointer_reference.patch
- fix invalid pointer dereference (Closes: #780101)
2014-10-23 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-2) unstable; urgency=medium
* Add debian/patches/02_thread-tests-sleep-for-server-to-start.patch
- add some sleep to wait for server to start. (Closes: #765107)
* Bump Standards-Version to 3.9.6: nothing needs to be changed
2014-09-08 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.92-1) unstable; urgency=low
* New upstream release
2014-03-19 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.91-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.5: nothing needs to be changed
2013-11-02 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.90-1) unstable; urgency=low
* New upstream release
* Bump Standards-Version to 3.9.4: nothing needs to be changed
* debian/watch: use xz tarball. (Closes: #727209)
* debian/control: update homepage url (Closes: #727210)
* remove debian/patches/02_g_thread_init_deprecation.patch: upstreamed.
2012-06-25 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
librest (0.7.12-3) unstable; urgency=low
* Make librest-dev depends on gir1.2-rest-0.7 to comply the latest GObject
Introspection mini policy (Closes: #678917)
* Make librest-extras-dev depends on gir1.2-rest-extras-0.7 to comply the
latest GObject Introspection mini policy

See Also

Package Description
librest-doc_0.8.1-1_all.deb REST service access library (documentation)
librest-extras-0.7-0_0.8.1-1+b1_i386.deb REST service access library extra components
librest-extras-dev_0.8.1-1+b1_i386.deb REST service access library extra components (development headers)
librestbed-dev_4.0~dfsg1-5_i386.deb asynchronous REST C++11 library - dev package
librestbed0_4.0~dfsg1-5_i386.deb asynchronous REST C++11 library
libresteasy-java_3.6.2-2_all.deb RESTEasy -- Framework for RESTful Web services and Java applications
libresteasy3.0-java_3.0.26-1_all.deb RESTEasy 3.0 -- Framework for RESTful Web services and Java applications
libresult-ocaml-dev_1.4-2_i386.deb compatibility Result module (dev files)
libresult-ocaml_1.4-2_i386.deb compatibility Result module (runtime files)
libresvg-dev_0.5.0-1_i386.deb SVG rendering library (development files)
libresvg0_0.5.0-1_i386.deb SVG rendering library (shared library)
libreswan_3.29-2_i386.deb Internet Key Exchange daemon
libretro-beetle-pce-fast_0.9.38.7+git20160609-2_i386.deb Libretro wrapper for the Beetle PCE FAST core
libretro-beetle-psx_0.9.38.6+git20151019-3_i386.deb Libretro wrapper for the Beetle PSX core
libretro-beetle-vb_0.9.36.1+git20160623-2_i386.deb Libretro wrapper for the Beetle VB core
Advertisement
Advertisement